#ifndef __$(appName)_utils_H__
#define __$(appName)_utils_H__

#include <math.h>
#include <sys/time.h>
#include <tizen_type.h>
#include <dlog.h>

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#define UPDATE_INTERVAL 1000ll

void init_matrix(float* result);

void multiply_matrix(float* result, const float matrix0[16], const float matrix1[16]);

void rotate_xyz(float* result, const float anglex, const float angley, const float anglez);

void translate_xyz(float* result, const float translatex,
		const float translatey, const float translatez);

void view_set_ortho(float* result, const float left, const float right,
		const float bottom, const float top, const float near, const float far);

void view_set_perspective(float* result, const float fovy,
		const float aspect, const float near, const float far);

long long get_ticks();

void display_fps();

#endif // __$(appName)_utils_H__
